# Create Transaction Response

The following JSON response fields are common to all API calls that create transactions:

(S) `signatureHash` is the SHA-256 hash of the transaction signature\
(S) `unsignedTransactionBytes` is the unsigned transaction bytes\
(O) `transactionJSON` is the transaction object (refer to Get Transaction for details)\
(B) `broadcasted` is the transaction was broadcasted or not\
(N) `requestProcessingTime` is the API request processing time (in millisec)\
(S) `transactionBytes` is the signed transaction bytes\
(S) `fullHash` is the full hash of the signed transaction\
(S) `transaction` is the ID of the newly created transaction


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.fwallet.net/create-transaction-response.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
